[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.ReadQWord

Read a QWord value from the stream and return its value

## Declaration

Source position: classesh.inc line 968

`public function TStream.ReadQWord: QWord;`

## Description

ReadQWord reads a QWord value (8 bytes) from the stream and returns it's value.

## Errors

If not enough bytes are available on the stream, an EStreamError exception will be raised.

## See also

TStream.Read |  | Reads data from the stream to a buffer and returns the number of bytes read.
TStream.WriteByte |  | Write a byte to the stream.
TStream.ReadWord |  | Read a word from the stream and return its value.
TStream.ReadDWord |  | Read a DWord from the stream and return its value.
TStream.ReadAnsiString |  | Read an ansistring from the stream and return its value.